package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description 运营中心定义 - 业务平台
 * @date 2023/3/17 11:19
 */
public enum OpCenterBizPlatformEnum {

    服务之窗("FWZC", "服务之窗"),
    福利商城("FLSC", "福利商城"),
    企业采购("QYNG", "企业采购"),
    代客下单("DKXD", "代客下单"),
    ;

    private final String code;
    private final String name;

    OpCenterBizPlatformEnum(String code, String desc) {
        this.code = code;
        this.name = desc;
    }

    public static String getDescByCode(String code) {
        for (OpCenterBizPlatformEnum opCenterBizPlatformEnum : OpCenterBizPlatformEnum.values()) {
            if (opCenterBizPlatformEnum.getCode().equals(code)) {
                return opCenterBizPlatformEnum.getName();
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
