package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description
 * @date 2023/3/23 11:55
 */
public enum OpCenterCustomizeGoodsEnum {
    运费(0, "运费"),
    商户承担运费(-1, "商户承担运费"),
    退单退运费(-2, "退单退运费"),
    卡券类商品(-3, "卡券类商品"),
    ;

    private final Integer code;
    private final String desc;

    OpCenterCustomizeGoodsEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     */
    public static String getDescByCode(Integer code) {
        for (OpCenterCustomizeGoodsEnum opCenterCustomizeGoodsEnum : OpCenterCustomizeGoodsEnum.values()) {
            if (opCenterCustomizeGoodsEnum.getCode().equals(code)) {
                return opCenterCustomizeGoodsEnum.getDesc();
            }
        }
        return null;
    }
}
