package cn.superdesk.data.extract.entity.flsc;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("flsc_shop_member")
public class FlscShopMember implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("uniacid")
    private Integer uniacid;

    @TableField("uid")
    private Integer uid;

    @TableField("groupid")
    private Integer groupid;

    @TableField("level")
    private Integer level;

    @TableField("agentid")
    private Integer agentid;

    @TableField("openid")
    private String openid;

    @TableField("openid_xcx")
    private String openidXcx;

    @TableField("realname")
    private String realname;

    @TableField("mobile")
    private String mobile;

    @TableField("pwd")
    private String pwd;

    @TableField("weixin")
    private String weixin;

    @TableField("content")
    private String content;

    @TableField("agenttime")
    private Integer agenttime;

    @TableField("status")
    private Boolean status;

    @TableField("isagent")
    private Boolean isagent;

    @TableField("clickcount")
    private Integer clickcount;

    @TableField("agentlevel")
    private Integer agentlevel;

    @TableField("noticeset")
    private String noticeset;

    @TableField("nickname")
    private String nickname;

    @TableField("credit1")
    private BigDecimal credit1;

    @TableField("credit2")
    private BigDecimal credit2;

    @TableField("birthyear")
    private String birthyear;

    @TableField("birthmonth")
    private String birthmonth;

    @TableField("birthday")
    private String birthday;

    @TableField("gender")
    private Integer gender;

    @TableField("avatar")
    private String avatar;

    @TableField("province")
    private String province;

    @TableField("city")
    private String city;

    @TableField("area")
    private String area;

    @TableField("childtime")
    private Integer childtime;

    @TableField("agentnotupgrade")
    private Integer agentnotupgrade;

    @TableField("inviter")
    private Integer inviter;

    @TableField("agentselectgoods")
    private Integer agentselectgoods;

    @TableField("agentblack")
    private Integer agentblack;

    @TableField("username")
    private String username;

    @TableField("fixagentid")
    private Integer fixagentid;

    @TableField("diymemberid")
    private Integer diymemberid;

    @TableField("diymemberdataid")
    private Integer diymemberdataid;

    @TableField("diymemberdata")
    private String diymemberdata;

    @TableField("diycommissionid")
    private Integer diycommissionid;

    @TableField("diycommissiondataid")
    private Integer diycommissiondataid;

    @TableField("diycommissiondata")
    private String diycommissiondata;

    @TableField("isblack")
    private Integer isblack;

    @TableField("diymemberfields")
    private String diymemberfields;

    @TableField("diycommissionfields")
    private String diycommissionfields;

    @TableField("commission_total")
    private BigDecimal commissionTotal;

    @TableField("endtime2")
    private Integer endtime2;

    @TableField("ispartner")
    private Integer ispartner;

    @TableField("partnertime")
    private Integer partnertime;

    @TableField("partnerstatus")
    private Integer partnerstatus;

    @TableField("partnerblack")
    private Integer partnerblack;

    @TableField("partnerlevel")
    private Integer partnerlevel;

    @TableField("partnernotupgrade")
    private Integer partnernotupgrade;

    @TableField("diyglobonusid")
    private Integer diyglobonusid;

    @TableField("diyglobonusdata")
    private String diyglobonusdata;

    @TableField("diyglobonusfields")
    private String diyglobonusfields;

    @TableField("isaagent")
    private Integer isaagent;

    @TableField("aagentlevel")
    private Integer aagentlevel;

    @TableField("aagenttime")
    private Integer aagenttime;

    @TableField("aagentstatus")
    private Integer aagentstatus;

    @TableField("aagentblack")
    private Integer aagentblack;

    @TableField("aagentnotupgrade")
    private Integer aagentnotupgrade;

    @TableField("aagenttype")
    private Integer aagenttype;

    @TableField("aagentprovinces")
    private String aagentprovinces;

    @TableField("aagentcitys")
    private String aagentcitys;

    @TableField("aagentareas")
    private String aagentareas;

    @TableField("diyaagentid")
    private Integer diyaagentid;

    @TableField("diyaagentdata")
    private String diyaagentdata;

    @TableField("diyaagentfields")
    private String diyaagentfields;

    @TableField("salt")
    private String salt;

    @TableField("mobileverify")
    private Integer mobileverify;

    @TableField("mobileuser")
    private Integer mobileuser;

    @TableField("carrier_mobile")
    private String carrierMobile;

    @TableField("isauthor")
    private Boolean isauthor;

    @TableField("authortime")
    private Integer authortime;

    @TableField("authorstatus")
    private Boolean authorstatus;

    @TableField("authorblack")
    private Boolean authorblack;

    @TableField("authorlevel")
    private Integer authorlevel;

    @TableField("authornotupgrade")
    private Boolean authornotupgrade;

    @TableField("diyauthorid")
    private Integer diyauthorid;

    @TableField("diyauthordata")
    private String diyauthordata;

    @TableField("diyauthorfields")
    private String diyauthorfields;

    @TableField("authorid")
    private Integer authorid;

    @TableField("comefrom")
    private String comefrom;

    @TableField("openid_qq")
    private String openidQq;

    @TableField("openid_wx")
    private String openidWx;

    /**
     * 超级前台_企业ID
     */
    @TableField("core_enterprise")
    private Integer coreEnterprise;

    /**
     * 部门名称
     */
    @TableField("department_name")
    private String departmentName;

    @TableField("createtime")
    private Integer createtime;

    /**
     * updatetime
     */
    @TableField("updatetime")
    private Integer updatetime;

    /**
     * logintime
     */
    @TableField("logintime")
    private Integer logintime;

    /**
     * 角色id(对应superdesk_shop_member_cash_role)
     */
    @TableField("cash_role_id")
    private Integer cashRoleId;

    /**
     * 云闪付卡号
     */
    @TableField("bw_cardId")
    private String bwCardid;

    /**
     * 云闪付持卡人姓名
     */
    @TableField("bw_custName")
    private String bwCustname;

    /**
     * 云闪付身份证号
     */
    @TableField("bw_credNo")
    private String bwCredno;

    /**
     * 云闪付余额
     */
    @TableField("bw_balance")
    private BigDecimal bwBalance;

    @TableField("operators_id")
    private Integer operatorsId;

    /**
     * 可编辑地址标签
     */
    @TableField("address_label")
    private String addressLabel;

    /**
     * 0未删除，1删除
     */
    @TableField("deleted")
    private Boolean deleted;

    /**
     * 同步时间
     */
    @TableField("sync_time")
    private Date syncTime;

    /**
     * ims_superdesk_shop_employee_number  id
     */
    @TableField("employee_id")
    private Integer employeeId;

    /**
     * 绑定员工号时间
     */
    @TableField("bind_employee_no_at")
    private Integer bindEmployeeNoAt;


}
