package cn.superdesk.data.extract.enums.opCenter;

/**
 * @author xc
 * @description
 * @date 2023/3/28 15:05
 */
public enum OperationDataSyncErrorHandleStatusEnum {
    未处理(0, "未处理"),
    已处理(1, "已处理"),
    忽略(2, "忽略"),
    ;

    private final Integer code;
    private final String desc;

    OperationDataSyncErrorHandleStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    /**
     * 根据code获取desc
     */
    public static String getDescByCode(Integer code) {
        for (OperationDataSyncErrorHandleStatusEnum e : OperationDataSyncErrorHandleStatusEnum.values()) {
            if (e.getCode().equals(code)) {
                return e.getDesc();
            }
        }
        return null;
    }
}
