package cn.superdesk.data.extract.mapper.flsc;

import cn.superdesk.data.extract.entity.flsc.FlscShopOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author storyxc
 * @since 2023-03-08
 */
public interface FlscShopOrderMapper extends BaseMapper<FlscShopOrder> {
    @Select("select count(1) from flsc_shop_order")
    @ResultType(Integer.class)
    Integer selectTotalCount();

    @Select("select * from flsc_shop_order limit #{offset} , #{limit}")
    @ResultMap("BaseResultMap")
    List<FlscShopOrder> selectByBatch(@Param("offset") Integer offset, @Param("limit") Integer batchSize);
}
