package cn.superdesk.data.extract.service.flsc;

import cn.superdesk.data.extract.entity.flsc.FlscShopThirdOrderPay;
import cn.superdesk.data.extract.entity.flsc.FlscShopThirdOrderRefund;
import cn.superdesk.data.extract.entity.opCenter.OperationCenterOrder;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author storyxc
 * @since 2023-03-17
 */
public interface FlscShopThirdOrderRefundService extends IService<FlscShopThirdOrderRefund> {

    /**
     * 全量处理第三方退单（蜂助手）
     * @return
     */
    void handleAllRefundThirdOrder();

    OperationCenterOrder buildOpCenterRefundOrderFromFlscThirdOrder(FlscShopThirdOrderRefund flscShopThirdOrderRefund, FlscShopThirdOrderPay flscShopThirdOrderPay);
}
